Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class VerifierCodeVisitor

Verifies the method code

author:
  James Strachan

version:
  $Revision: 7846 $

Field Summary
`Verifier` | `verifier`

Constructor Summary
`VerifierCodeVisitor(Verifier verifier)`

Method Summary
`static void` | `assertValidIdentifier(String name, String message, ASTNode node)`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitFieldExpression(FieldExpression expression)`
`void` | `visitForLoop(ForStatement expression)`
`void` | `visitListExpression(ListExpression expression)`
`void` | `visitMethodCallExpression(MethodCallExpression call)`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitVariableExpression(VariableExpression expression)`

Constructor Detail

### VerifierCodeVisitor

    public VerifierCodeVisitor(Verifier verifier)

Method Detail

### assertValidIdentifier

    public static void assertValidIdentifier(String name, String message, ASTNode node)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

### visitFieldExpression

    public void visitFieldExpression(FieldExpression expression)

### visitForLoop

    public void visitForLoop(ForStatement expression)

### visitListExpression

    public void visitListExpression(ListExpression expression)

### visitMethodCallExpression

    public void visitMethodCallExpression(MethodCallExpression call)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

### visitVariableExpression

    public void visitVariableExpression(VariableExpression expression)